#
# Copyright (C) 2020-2024 MicroSys Electronics GmbH
#

FILESEXTRAPATHS:prepend := "${THISDIR}/${PN}:"
PATCHTOOL = "git"
PATCH_COMMIT_FUNCTIONS = "1"

SRC_URI += "file://rcw.patch"

export PYTHON = "${USRBINPATH}/python3"

python do_patch:prepend() {
    if d.getVar('PATCHTOOL') == 'git':
        srcsubdir = d.getVar('S')
        bb.process.run('git config am.threeWay true', cwd=srcsubdir)
        bb.process.run('git config am.keepcr true', cwd=srcsubdir)
        bb.process.run('git config apply.whitespace fix', cwd=srcsubdir)
        bb.process.run('git config apply.ignoreWhitespace change', cwd=srcsubdir)
}

PACKAGE_ARCH = "${MACHINE_ARCH}"
COMPATIBLE_MACHINE = "(qoriq)"

M ?= "${MACHINE}"
M:mpxlx2160a = "mpxlx2160a"
M:mpxls1088a = "mpxls1088"
M:mpxls1046a = "mpxls1046"
M:mpxls1043a = "mpxls1043"
M:mpxls1028a = "mpxls1028"

do_deploy:append() {

    if [ -d ${S}/${M}/nor ]; then
        mkdir -p ${DEPLOYDIR}/rcw/${M}/nor
        install -m 0644 ${S}/${M}/nor/*-nor.bin ${DEPLOYDIR}/rcw/${M}/nor
    fi

    if [ -d ${S}/${M}/qspi ]; then
        mkdir -p ${DEPLOYDIR}/rcw/${M}/qspi
        install -m 0644 ${S}/${M}/qspi/*.bin ${DEPLOYDIR}/rcw/${M}/qspi
    fi

    if [ -d ${S}/${M}/sd ]; then
        mkdir -p ${DEPLOYDIR}/rcw/${M}/sd
        install -m 0644 ${S}/${M}/sd/*.bin ${DEPLOYDIR}/rcw/${M}/sd
    fi
}
